#!/usr/bin/env python3

#Import required libraries 
import time
import RPi.GPIO as GPIO
import os

#Set GPIO pin 
BUTTON_GPIO = 3

#Power Interrupt script
def myInterrupt(channel):
    start_time = time.time() #Get time when button was pressed 

    while GPIO.input(channel) == 0: #While the button is pressed do nothing
        pass
    buttonTime = time.time() - start_time #On release, calculate how long it was pressed for 

    if .5 <= buttonTime < 3: #if it was between .5 and 3 seconds (short press) -> Shutdown 
        os.system("sudo shutdown now")
    elif 3<= buttonTime: #if it was longer than 3 seconds (long press) -> Reboot
        os.system("sudo reboot now") 

#Main function, set up interrupts 
if __name__ == '__main__':
    GPIO.setmode(GPIO.BCM)
    GPIO.setup(BUTTON_GPIO, GPIO.IN, pull_up_down=GPIO.PUD_UP)
    GPIO.add_event_detect(BUTTON_GPIO, GPIO.FALLING, callback=myInterrupt, bouncetime=500)

While True
    pass
